io.vertx.rxjava.ext.web.api

## Class RequestParameter

- java.lang.Object
- - io.vertx.rxjava.ext.web.api.RequestParameter

-     public class RequestParameter
      extends Object

  Request parameter holder

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RequestParameter>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestParameter(Object delegate)`
    `RequestParameter(RequestParameter delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestParameter` | `create(Object value)`
    `static RequestParameter` | `create(String name, Object value)`
    `boolean` | `equals(Object o)`
    `List<RequestParameter>` | `getArray()` Returns null if value is not a list, otherwise it returns value
    `Boolean` | `getBoolean()` Returns null if value is not a Boolean, otherwise it returns value
    `RequestParameter` | `getDelegate()`
    `Double` | `getDouble()` Returns null if value is not a Double, otherwise it returns value
    `Float` | `getFloat()` Returns null if value is not a Float, otherwise it returns value
    `Integer` | `getInteger()` Returns null if value is not an Integer, otherwise it returns value
    `JsonArray` | `getJsonArray()` Returns null if value is not a JsonArray, otherwise it returns value
    `JsonObject` | `getJsonObject()` Returns null if value is not a JsonObject, otherwise it returns value
    `Long` | `getLong()` Returns null if value is not a Long, otherwise it returns value
    `String` | `getName()` Get parameter name
    `List<String>` | `getObjectKeys()` If value is a map of fields, it returns keys of map, otherwise it returns null
    `RequestParameter` | `getObjectValue(String key)` If value is a map of fields, it returns value of field with key provided, otherwise it returns null
    `String` | `getString()` Returns null if value is not a String, otherwise it returns value
    `int` | `hashCode()`
    `boolean` | `isArray()` Returns true if value of RequestParameter is an array
    `boolean` | `isBoolean()` Returns true if value of RequestParameter is a Boolean instance
    `boolean` | `isDouble()` Returns true if value of RequestParameter is a Double instance
    `boolean` | `isEmpty()` Alias of `isNull()`
    `boolean` | `isFloat()` Returns true if value of RequestParameter is a Float instance
    `boolean` | `isInteger()` Returns true if value of RequestParameter is an Integer instance
    `boolean` | `isJsonArray()` Returns true if value of RequestParameter is a JsonArray instance
    `boolean` | `isJsonObject()` Returns true if value of RequestParameter is a JsonObject instance
    `boolean` | `isLong()` Returns true if value of RequestParameter is a Long instance
    `boolean` | `isNull()` Returns true if value is null
    `boolean` | `isObject()` Returns true if value of RequestParameter is a map of fields
    `boolean` | `isString()` Returns true if value of RequestParameter is a String instance
    `RequestParameter` | `merge(RequestParameter otherParameter)` Merge this request parameter with another one.
    `static RequestParameter` | `newInstance(RequestParameter arg)`
    `void` | `setName(String name)` Set parameter name
    `void` | `setValue(Object value)` Set value
    `Object` | `toJson()` Converts deeply this RequestParameter in a Json representation
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RequestParameter> __TYPE_ARG

  - ### Constructor Detail

    - #### RequestParameter

          public RequestParameter(RequestParameter delegate)

    - #### RequestParameter

          public RequestParameter(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RequestParameter getDelegate()

    - #### setName

          public void setName(String name)

      Set parameter name
      Parameters:
        `name` -

    - #### setValue

          public void setValue(Object value)

      Set value
      Parameters:
        `value` -

    - #### getName

          public String getName()

      Get parameter name
      Returns:

    - #### getObjectKeys

          public List<String> getObjectKeys()

      If value is a map of fields, it returns keys of map, otherwise it returns null
      Returns:

    - #### getObjectValue

          public RequestParameter getObjectValue(String key)

      If value is a map of fields, it returns value of field with key provided, otherwise it returns null
      Parameters:
        `key` -
      Returns:

    - #### isObject

          public boolean isObject()

      Returns true if value of RequestParameter is a map of fields
      Returns:

    - #### getArray

          public List<RequestParameter> getArray()

      Returns null if value is not a list, otherwise it returns value
      Returns:

    - #### isArray

          public boolean isArray()

      Returns true if value of RequestParameter is an array
      Returns:

    - #### getString

          public String getString()

      Returns null if value is not a String, otherwise it returns value
      Returns:

    - #### isString

          public boolean isString()

      Returns true if value of RequestParameter is a String instance
      Returns:

    - #### getInteger

          public Integer getInteger()

      Returns null if value is not an Integer, otherwise it returns value
      Returns:

    - #### isInteger

          public boolean isInteger()

      Returns true if value of RequestParameter is an Integer instance
      Returns:

    - #### getLong

          public Long getLong()

      Returns null if value is not a Long, otherwise it returns value
      Returns:

    - #### isLong

          public boolean isLong()

      Returns true if value of RequestParameter is a Long instance
      Returns:

    - #### getFloat

          public Float getFloat()

      Returns null if value is not a Float, otherwise it returns value
      Returns:

    - #### isFloat

          public boolean isFloat()

      Returns true if value of RequestParameter is a Float instance
      Returns:

    - #### getDouble

          public Double getDouble()

      Returns null if value is not a Double, otherwise it returns value
      Returns:

    - #### isDouble

          public boolean isDouble()

      Returns true if value of RequestParameter is a Double instance
      Returns:

    - #### getBoolean

          public Boolean getBoolean()

      Returns null if value is not a Boolean, otherwise it returns value
      Returns:

    - #### isBoolean

          public boolean isBoolean()

      Returns true if value of RequestParameter is a Boolean instance
      Returns:

    - #### getJsonObject

          public JsonObject getJsonObject()

      Returns null if value is not a JsonObject, otherwise it returns value
      Returns:

    - #### isJsonObject

          public boolean isJsonObject()

      Returns true if value of RequestParameter is a JsonObject instance
      Returns:

    - #### getJsonArray

          public JsonArray getJsonArray()

      Returns null if value is not a JsonArray, otherwise it returns value
      Returns:

    - #### isJsonArray

          public boolean isJsonArray()

      Returns true if value of RequestParameter is a JsonArray instance
      Returns:

    - #### isNull

          public boolean isNull()

      Returns true if value is null
      Returns:

    - #### isEmpty

          public boolean isEmpty()

      Alias of `isNull()`
      Returns:

    - #### toJson

          public Object toJson()

      Converts deeply this RequestParameter in a Json representation
      Returns:

    - #### merge

          public RequestParameter merge(RequestParameter otherParameter)

      Merge this request parameter with another one. Note: the parameter passed by argument has the priority
      Parameters:
        `otherParameter` -
      Returns:

    - #### create

          public static RequestParameter create(String name,
                                                Object value)

    - #### create

          public static RequestParameter create(Object value)

    - #### newInstance

          public static RequestParameter newInstance(RequestParameter arg)

Copyright © 2021 Eclipse. All rights reserved.